/*********************************************************************
 * Copyright 2011 Bartek thindil Jasicki
 *
 *  This file is part of Steam Fort.
 *
 *  Steam Fort is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Steam Fort is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Steam Fort.  If not, see <http://www.gnu.org/licenses/>.
*********************************************************************/
#ifndef UI_HPP
#define UI_HPP
#include "gui/gui.hpp"
#include "main.hpp"

extern VBox *mainmenu;
extern Label *credits;
extern Label *escinfo;
extern StatusBar *tips;
extern Label *lblnotice;

void createUI();
void setInfo(bool visible, int x = NONE, int y = NONE);
void setVisibleGamemenu(bool visible);
void Notice(const char* message);
void setTime();
void screenshotClb(Widget *w, void* data);
void helpClb(Widget *w, void *data);
void useClb(Widget *w, void *data);

#endif
