/*********************************************************************
 * Copyright 2011 Bartek thindil Jasicki
 *
 *  This file is part of Steam Fort.
 *
 *  Steam Fort is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Steam Fort is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Steam Fort.  If not, see <http://www.gnu.org/licenses/>.
*********************************************************************/
#ifndef ADVENTURE_HPP
#define ADVENTURE_HPP

extern Cell advmap[MAPHEIGHT][MAPWIDTH];
extern vector<Mobile> advmobs;
extern vector<Item> advobjs;
extern int dungeonlevel;
extern Mission mission;

void start_adventure(int index);
void move_player(int x, int y);
void update_adventure();
void draw_adventure();
void setVisibleAdvmenu(bool visible);
void buildAdventureUI();

#endif
