/*********************************************************************
 * Copyright 2011 Bartek thindil Jasicki
 *
 *  This file is part of Steam Fort.
 *
 *  Steam Fort is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Steam Fort is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Steam Fort.  If not, see <http://www.gnu.org/licenses/>.
*********************************************************************/
#include "libtcod.hpp"
#include "utils.hpp"

/**
 * Show informations about game
 */
void about()
{
  TCODConsole::root->clear();
  TCODConsole::root->printRect(10, 10, 80, 2, "Steam Fort is mix of real time strategy (or maybe better, simulation of world) and roguelike game in fantasy/steampunk theme. What this exactly mean?");
  TCODConsole::root->print(15, 15, "* You are able control and build your fort by using your robots.");
  TCODConsole::root->print(15, 17, "* You will be need for this resources, manpower, etc things.");
  TCODConsole::root->print(15, 19, "* You will be defend your fort against enemies - wild robots, monsters, animal, etc.");
  TCODConsole::root->print(15, 21, "* You will be able to trade with NPC's for resources, items, fuel.");
  TCODConsole::root->print(15, 23, "* You will be able to invent new robots, upgrade old ones.");
  TCODConsole::root->printRect(15, 25, 80, 2, "* When you been bored management, grab your weapon, take some robots and go explore some ancient ruins in random missions.");
  TCODConsole::root->printRect(15, 28, 80, 2, "* There will be main plot of course - explore mistery of ancient Colossus made long time ago.");
  TCODConsole::root->printRect(15, 31, 80, 2, "* Every time, when you start a game, world will be generated again, so, every game play will be different.");
  TCODConsole::root->print(15, 34, "* Of course, you will be able to hang around world, meet NPC's, talk to them.");
  TCODConsole::root->printRect(10, 36, 80, 2, "At this moment game is in very early stage of development, thus not all of this features are available yet.");
  TCODConsole::root->print(30, 70, "Press any key to back to main menu.");
}
